
Redmine - Defect #2227

SVN Access. Repository link

2008-11-25 18:14 - Alexey Chepurnykh

Status: Closed Start date: 2008-11-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After one of recent redmine updates from trunk I get an error when I click on Repository link in any project.

Internal error

  An error occurred on the page you were trying to access.

  If you continue to experience problems please contact your redMine administrator for assistance.

  Back

 In production.log I have:

Processing RepositoriesController#show (for 51.6.145.135 at 2008-11-19 12:13:50) [GET]

  Session ID: eef91ace1e571a4880ac01c170de3bb0

  Parameters: {"action"=>"show", "id"=>"reportengine", "controller"=>"repositories"}

 
NoMethodError (undefined method `user_id' for #&lt;Changeset:0x2b935e538b40&gt;):

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/attribute_methods.rb:256:in

 `method_missing'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:215:

in `send'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:215:

in  `preload_belongs_to_association'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:214:

in `each'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:214:

in  `preload_belongs_to_association'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:40:i

n `send'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:40:i

n `preload_one_association'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:38:i

n `each'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:38:i

n `preload_one_association'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:17:i

n `preload_associations'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:16:i

n `preload_associations'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:16:i

n `each'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/association_preload.rb:16:i

n `preload_associations'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:1343:in `find_every

'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:1303:in `find_initi

al'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:534:in `find'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_co

llection.rb:47:in `find'

    /app/models/repository.rb:126:in `find_committer_user'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:177:in `send'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr
oxy.rb:177:in `method_missing'

    /app/models/changeset.rb:65:in `before_create'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/callbacks.rb:301:in `send'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/callbacks.rb:301:in `callba

ck'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/callbacks.rb:219:in `create

_without_timestamps'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/timestamp.rb:29:in `create'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:2472:in `create_or_

update_without_callbacks'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/callbacks.rb:207:in `create

_or_update'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:2200:in `save_witho

ut_validation'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/validations.rb:901:in `save

_without_dirty'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/dirty.rb:75:in `save_withou

t_transactions'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:106:in `sav

e'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:66:in `transaction'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:79:in `tran

saction'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:98:in `tran

saction'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:106:in `sav

e'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:118:in `rol

lback_active_record_state!'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:106:in `sav

e'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/base.rb:640:in `create'

    /app/models/repository/subversion.rb:59:in `fetch_changesets'

    /app/models/repository/subversion.rb:58:in `reverse_each'

    /app/models/repository/subversion.rb:58:in `fetch_changesets'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:66:in `transaction'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:79:in `tran

saction'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/transactions.rb:98:in `tran

saction'

    /app/models/repository/subversion.rb:57:in `fetch_changesets'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:177:in `send'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:177:in `method_missing'

    /app/controllers/repositories_controller.rb:68:in `show'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `send'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `perform_

action_without_filters'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:580:in `call_f

ilters'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:573:in `perfor

m_action_without_benchmark'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `pe

rform_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `pe

rform_action_without_rescue'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/rescue.rb:201:in `perform

_action_without_caching'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:13:i

n `perform_action'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstrac

t/query_cache.rb:33:in `cache'

    /usr/lib64/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/query_cache.rb:8:in `cache'
    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:12:i

n `perform_action'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `send'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `process_w

ithout_filters'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in `proces

s_without_session_management_support'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130

:in `process'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in `process'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in `han

dle_request'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in `dis

patch'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `syn

chronize'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `dis

patch'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in `dis

patch_cgi'

    /usr/lib64/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in `disp

atch'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in `process'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `process'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in `process_client'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `each'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `process_client'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `initialize'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `new'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `initialize'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `new'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `each'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

    /usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:19:in `load'

    /usr/bin/mongrel_rails:19

 
Rendering /home/redmine/redmine/public/500.html (500 Internal Server Error)

 The redmine app is deployed on CentOS-5.2

$ ruby -v

ruby 1.8.5 (2006-08-25) [x86_64-linux]

$ rails -v

Rails 2.1.0

$ gem -v

1.2.0

I could not fix it by myself

History

#1 - 2008-11-25 18:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid
You forgot to migrate your database. The field user_id in changesets table was added recently.

#2 - 2008-11-25 18:47 - Alexey Chepurnykh

You are right. My apologize.

#3 - 2009-03-25 13:54 - Rafal W.

Related to http://www.redmine.org/boards/1/topics/3000

as well.
